[PATCH] Align r_sprite.c for merge

After adding the static declarations I must have missed at some point, the
files are almost identical. Further inspection reveals a typo only fixed in
one file - we got away with it for now because sizeof(float *) ==
sizeof(float) on 32 bit arches.

diff -urN a/NQ/r_sprite.c head/NQ/r_sprite.c
--- a/NQ/r_sprite.c	2004-07-25 15:59:55.000000000 +0930
+++ head/NQ/r_sprite.c	2006-02-19 09:09:33.000000000 +1030
@@ -36,7 +36,7 @@
 R_RotateSprite
 ================
 */
-void
+static void
 R_RotateSprite(float beamlength)
 {
     vec3_t vec;
@@ -58,7 +58,7 @@
 Throws out the back side
 ==============
 */
-int
+static int
 R_ClipSpriteFace(int nump, clipplane_t *pclipplane)
 {
     int i, outcount;
@@ -131,7 +131,7 @@
 R_SetupAndDrawSprite
 ================
 */
-void
+static void
 R_SetupAndDrawSprite()
 {
     int i, nump;
@@ -230,7 +230,7 @@
 R_GetSpriteframe
 ================
 */
-mspriteframe_t *
+static mspriteframe_t *
 R_GetSpriteframe(msprite_t *psprite)
 {
     mspritegroup_t *pspritegroup;
diff -urN a/QW/client/r_sprite.c head/QW/client/r_sprite.c
--- a/QW/client/r_sprite.c	2004-07-25 15:59:56.000000000 +0930
+++ head/QW/client/r_sprite.c	2006-02-19 09:12:15.000000000 +1030
@@ -19,10 +19,10 @@
 */
 // r_sprite.c
 
+#include "console.h"
 #include "quakedef.h"
 #include "r_local.h"
 #include "sys.h"
-#include "console.h"
 
 static int clip_current;
 static vec5_t clip_verts[2][MAXWORKINGVERTS];
@@ -215,7 +215,7 @@
 	scale = yscale * pout->zi;
 	pout->v = (ycenter - scale * transformed[1]);
 
-	pv += sizeof(vec5_t) / sizeof(pv);
+	pv += sizeof(vec5_t) / sizeof(*pv);
     }
 
 // draw it
